---

- name: Install docker
  hosts: all
  remote_user: root
  roles:
    - geerlingguy.docker

- name: Prepare webservers
  hosts: all
  remote_user: root
  tasks:
    - name: Add the user 'deploy'
      ansible.builtin.user:
        name: deploy
        groups:
          - docker
          - sudo
        state: present

    - name: Set authorized key taken from file
      ansible.posix.authorized_key:
        user: deploy
        key: "{{ lookup('file', public_key_path) }}"
        state: present

    - name: Install packages
      ansible.builtin.apt:
        pkg:
          - python3-docker
          - python3-pip
        update_cache: yes

    - name: Install Docker Module for Python
      ansible.builtin.pip:
        name: docker
